Package org.apache.commons.beanutils.converters

## Class CharacterConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractConverter
  - - org.apache.commons.beanutils.converters.CharacterConverter

All Implemented Interfaces:
  `Converter`

    public final class CharacterConverter
    extends AbstractConverter

`Converter` implementaion that handles conversion to and from java.lang.Character objects.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3
Version:
  $Id$

### Constructor Summary

Constructors
`CharacterConverter()` Construct a java.lang.Character Converter that throws a `ConversionException` if an error occurs.
`CharacterConverter​(java.lang.Object defaultValue)` Construct a java.lang.Character Converter that returns a default value if an error occurs.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `convertToString​(java.lang.Object value)` Convert a java.lang.Class or object into a String.
`protected <T> T` `convertToType​(java.lang.Class<T> type, java.lang.Object value)` Convert the input object into a java.lang.Character.
`protected java.lang.Class<?>` `getDefaultType()` Return the default type this `Converter` handles.

### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

`conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CharacterConverter

    public CharacterConverter()

Construct a java.lang.Character Converter that throws a `ConversionException` if an error occurs.

#### CharacterConverter

    public CharacterConverter​(java.lang.Object defaultValue)

Construct a java.lang.Character Converter that returns a default value if an error occurs.

Parameters:
  `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

### Method Detail

#### getDefaultType

    protected java.lang.Class<?> getDefaultType()

Return the default type this `Converter` handles.

Specified by:
  `getDefaultType` in class `AbstractConverter`
Returns:
  The default type this `Converter` handles.
Since:
  1.8.0

#### convertToString

    protected java.lang.String convertToString​(java.lang.Object value)

Convert a java.lang.Class or object into a String.

Overrides:
  `convertToString` in class `AbstractConverter`
Parameters:
  `value` - The input value to be converted
Returns:
  the converted String value.
Since:
  1.8.0

#### convertToType

    protected <T> T convertToType​(java.lang.Class<T> type,
                                  java.lang.Object value)
                           throws java.lang.Exception

Convert the input object into a java.lang.Character.

Specified by:
  `convertToType` in class `AbstractConverter`
Type Parameters:
  `T` - Target type of the conversion.
Parameters:
  `type` - Data type to which this value should be converted.
  `value` - The input value to be converted.
Returns:
  The converted value.
Throws:
  `java.lang.Exception` - if conversion cannot be performed successfully
Since:
  1.8.0